Bug 812836 - RFE: queue with requests for job at machine in private pool
RFE: queue with requests for job at machine in private pool
Status: CLOSED WONTFIX
Product: Beaker
Classification: Community
Component: scheduler (Show other bugs)
0.6
Unspecified Unspecified
unspecified Severity high (vote)
: ---
: ---
Assigned To: Nick Coghlan
GroupModel
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-16 07:53 EDT by Jan Ščotka
Modified: 2013-04-17 01:35 EDT (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-04-16 05:22:16 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Ščotka 2012-04-16 07:53:54 EDT
Hi,
Description:
It would be nice to be able schedule job in private pools.
Solution can be based on request to owner of machine.
(email, request queue in beaker view, etc)

Example steps:
 1. I would like to use some machine what is not mine, but is possile to schedule automated job there
 2. I create some job request (same as job recipe now, but only request)
  * for example via bkr command with option --request it means it don't schedule job, but only create request to machine owner
 3. machine owner is able to see request in some type of queue (email, web iface, RT)
 4. In case machine owner decide that machine is free, he don't need the machnine, he permit to schedule job in queue, (or he click at request, and the request will be tranformed to normal job schduled under his accountant (user what requested it, will be on job CC list)
 
Nowadays situation, it that it is possible to do it via direct email contact with owner and ask him if it is possible to run some task on his machine.
There is no uniform way how to do similar request.

Benefit:
 It allow us to schedule jobs on HW which is not directly aviable for us, in case owner decide to do it for other people.
 Uniform way how to ask machine owner to run job for another people.  

This bug is alternative solution for bug https://bugzilla.redhat.com/show_bug.cgi?id=809027
What do you think, is it senseful idea to have some type of request?

   Thanks&Regards
   Honza
Comment 1 Nick Coghlan 2012-10-17 00:39:32 EDT
Bulk reassignment of issues as Bill has moved to another team.
Comment 2 Nick Coghlan 2013-04-16 05:22:16 EDT
We have no current plans to support a queue with manual intervention for third party system access.

Instead, we plan to implement a more flexible prioritization system that allows system owners to grant access to other users, while still allowing jobs from the appropriate groups to have higher priority. See http://beaker-project.org/dev/proposals/effective-job-priorities.html for more details.

Note You need to log in before you can comment on or make changes to this bug.